<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="content-type" content="text/html; charset=utf-8" />
    <title>${c.page_title}</title>
% for script in c.scripts:
    <script src="/scripts/${script}" type="text/javascript"></script>
% endfor
% if c.jsinit:
    <script src="/scripts/${c.jsinit}" type="text/javascript"></script>
% endif
    <style type="text/css">
    body { margin: 0; padding: 0; }
    #directory-tree { border-right: 1px solid #999; border-bottom: 1px solid #999; height: 370px; float: left; padding-right: 4px; width: 195px; }
    #file-list { border-bottom: 1px solid #999; height: 370px; padding-left: 4px; float: left; width: 396px; }
    #button-bar { clear: both; height: 30px; line-height: 30px; }
    #file-list ul { list-style: none; margin: 0; padding: 0; }
    #file-list ul li { float: left; }
    #file-list ul li div.file { border: 1px solid #f0f0f0; height: 87px; line-height: 87px; list-style: none; margin: 5px; padding: 0; width: 87px; }
    #file-list ul li div.caption { font-size: 8pt; text-align: center; width: 89px; }
    input[type=button] { background: #f0f0f0 url(/images/media-button.png) top left repeat-x; border: 1px solid #ccc; color: #000; height: 24px; }
    </style>
</head>
<body>
    <div id="directory-tree"></div>
    <div id="file-list">
        <ul>
% for filename in c.files:
            <li>
                <div class="file">&nbsp;</div>
% if len(filename) > 15:
                <div class="caption" title="${filename}">${filename[:12]}...</div>
% else:
                <div class="caption">${filename}</div>
% endif
            </li>
% endfor
        </ul>
    </div>
    <div id="button-bar">
        <input type="button" id="new-directory" value="New Directory"/>
        <input type="button" id="file-select" value="Select"/>
    </div>
    <script type="text/javascript">
    ScribeEngine.Widgets.tree("#directory-tree", ${c.directories | n}, ScribeEngine.Media.get_files);
    </script>
</body>
</html>
